import * as esbuild from 'esbuild'

const config = {
  entryPoints: ['src/index.tsx'],
  bundle: true,
  outdir: 'dist',
  platform: 'browser',
  format: 'esm',
  external: ['fsevents'],
};

if(process.argv[2] === 'serve'){
  const context = await esbuild.context(config);

  const {host, port} = await context.serve({
    servedir: 'dist'
  });

  console.log(`Listening on http://${host}:${port}/`);
}
else{
  await esbuild.build(config);
}