import { useEffect, useState } from "react";
import { atom as $, useAtom } from 'jotai';

const $dates = $<Array<string>>([]);
const $isLoading = $<boolean>(false);

export function QuoteDatePicker(){
  const [dates, setDates] = useAtom($dates);
  const [isLoading, setIsLoading] = useAtom($isLoading);

  useEffect(()=>{
    fetch('http://127.0.0.1:8234/option_quotes/AAPL/quote_dates')
    .then(x=>x.json())
    .catch((err)=>['2021-01-02', '2021-01-03', '2021-01-04'])
    .then((dates_)=>{ setDates(dates_); setIsLoading(false); })
  },[])
  
  return (
    <div>
      {isLoading
      ?
      <span>Loading...</span>
      :
      <select>
        {dates.map((date)=>
          <option key={date} value={date}>{date}</option>
        )}
      </select>
      }
    </div>
  );
}